View Issue Details

IDProjectCategoryView StatusLast Update
0034023FPCFCLpublic2018-10-30 08:26
ReporterPetr-KAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0034023: fcl-pdf missing eol before endstream
DescriptionWhen checked by VeraPDF validator. Patch included.
TagsNo tags attached.
Fixed in Revision39528
FPCOldBugId
FPCTarget
Attached Files
  • fppdf.patch (311 bytes)
    --- fppdf.pp.1	2018-07-24 10:51:14.111923956 +0200
    +++ fppdf.pp	2018-07-24 10:48:30.992844981 +0200
    @@ -4326,6 +4326,7 @@
         end;
     
         M.Free;
    +    TPDFObject.WriteString(CRLF, AStream);
         TPDFObject.WriteString('endstream', AStream);
       end;
       TPDFObject.WriteString(CRLF+'endobj'+CRLF+CRLF, AStream);
    
    fppdf.patch (311 bytes)

Relationships

related to 0034061 closedMichael Van Canneyt fcl-pdf CIDToGIDMap and CIDSet stream Length includes EOL 

Activities

Petr-K

2018-07-24 10:59

reporter  

fppdf.patch (311 bytes)
--- fppdf.pp.1	2018-07-24 10:51:14.111923956 +0200
+++ fppdf.pp	2018-07-24 10:48:30.992844981 +0200
@@ -4326,6 +4326,7 @@
     end;
 
     M.Free;
+    TPDFObject.WriteString(CRLF, AStream);
     TPDFObject.WriteString('endstream', AStream);
   end;
   TPDFObject.WriteString(CRLF+'endobj'+CRLF+CRLF, AStream);
fppdf.patch (311 bytes)

Michael Van Canneyt

2018-07-30 15:49

administrator   ~0109764

Resolved this and related issue, thank you for the patch!

Issue History

Date Modified Username Field Change
2018-07-24 10:59 Petr-K New Issue
2018-07-24 10:59 Petr-K File Added: fppdf.patch
2018-07-30 15:45 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-07-30 15:45 Michael Van Canneyt Status new => assigned
2018-07-30 15:48 Michael Van Canneyt Relationship added related to 0034061
2018-07-30 15:49 Michael Van Canneyt Fixed in Revision => 39528
2018-07-30 15:49 Michael Van Canneyt Note Added: 0109764
2018-07-30 15:49 Michael Van Canneyt Status assigned => resolved
2018-07-30 15:49 Michael Van Canneyt Fixed in Version => 3.1.1
2018-07-30 15:49 Michael Van Canneyt Resolution open => fixed
2018-07-30 15:49 Michael Van Canneyt Target Version => 3.2.0
2018-10-30 08:26 Petr-K Status resolved => closed